package com.dsk.system.service;

import com.dsk.common.core.domain.entity.BusinessUser;
import java.util.List;

/**
 * 项目用户关联Service接口
 * 
 * @author lxl
 * @date 2023-05-17
 */
public interface IBusinessUserService 
{
    /**
     * 查询项目用户关联
     * 
     * @param id 项目用户关联主键
     * @return 项目用户关联
     */
    public BusinessUser selectBusinessUserById(Long id);

    /**
     * 查询项目用户关联列表
     * 
     * @param businessUser 项目用户关联
     * @return 项目用户关联集合
     */
    public List<BusinessUser> selectBusinessUserList(BusinessUser businessUser);

    /**
     * 新增项目用户关联
     * 
     * @param businessUser 项目用户关联
     * @return 结果
     */
    public int insertBusinessUser(BusinessUser businessUser);

    /**
     * 修改项目用户关联
     * 
     * @param businessUser 项目用户关联
     * @return 结果
     */
    public int updateBusinessUser(BusinessUser businessUser);

    /**
     * 批量删除项目用户关联
     * 
     * @param ids 需要删除的项目用户关联主键集合
     * @return 结果
     */
    public int deleteBusinessUserByIds(Long[] ids);

    /**
     * 删除项目用户关联信息
     * 
     * @param id 项目用户关联主键
     * @return 结果
     */
    public int deleteBusinessUserById(Long id);
}
